Older Versions...

Official support for: acondigital.com
User avatar
KVRAF
5838 posts since 6 Jan, 2017 from Outer Space

Post Fri Jun 25, 2021 1:53 am

I just recommended Acoustica Premium to a friend of mine. But he is locked into El Capitan at the moment. I could not find any downloads on the Acon site for the last version which would run on El Capitan. He can run the actual editor on a WIndows machine, but he should at least get the plugins in an older version as well...

P.S. Sorry, we had been in the wrong system. Acoustica works nicely in El Capitan. Nonetheless it could be helpful to see which older versions work until which system... Maybe a chart with system requirements on the web site? (Not urgent anymore...)

User avatar
KVRian
1159 posts since 1 Jan, 2005 from Norway

Post Fri Jun 25, 2021 3:51 am

Thanks for recommending Acoustica! :) All our products work with OS X 10.9 or later. To be honest, we're not too keen on supporting earlier operating systems as it is very time consuming for us to reproduce any reported issues. However, the 1.x versions of our plug-ins generally worked well with OS X 10.6 and above.

Best,
Stian

Return to “Acon Digital”